//////////////////////////////////////////////////////////////////////////////////////////
//	AddShadowVolumeEdge.cpp
//	Add a silhouette edge to the list
//	Downloaded from: www.paulsprojects.net
//	Created:	28th December 2002
//
//	Copyright (c) 2006, Paul Baker
//	Distributed under the New BSD Licence. (See accompanying file License.txt or copy at
//	http://www.paulsprojects.net/NewBSDLicense.txt)
//////////////////////////////////////////////////////////////////////////////////////////	
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <vector>
#include "../../GL files/glee.h"			//header for OpenGL 1.4
#include "../../Maths/Maths.h"
#include "../../List/LIST.h"
#include "../RENDER_MANAGER.h"

void RENDER_MANAGER::AddShadowVolumeEdge(bool zFail, unsigned int vertex1, unsigned int vertex2)
{
	static unsigned int edgeVertices[4];

	edgeVertices[0]=vertex2;
	edgeVertices[1]=vertex1;
	edgeVertices[2]=vertex1+geometryData.numVertices;
	edgeVertices[3]=vertex2+geometryData.numVertices;

	if(zFail)
		zFailEdgeIndices.AddElements(4, edgeVertices);
	else
		zPassEdgeIndices.AddElements(4, edgeVertices);
}
